vty-5.25.1: A simple terminal UI library

Safe Haskell | None
Language | Haskell2010

Graphics.Text.Width

Synopsis

- wcwidth :: Char -> Int
- wcswidth :: String -> Int
- safeWcwidth :: Char -> Int
- safeWcswidth :: String -> Int

# Documentation

wcwidth :: Char -> Int Source #

wcswidth :: String -> Int Source #

safeWcwidth :: Char -> Int Source #

Returns the display width of a character. Assumes all characters with unknown widths are 0 width.

safeWcswidth :: String -> Int Source #

Returns the display width of a string. Assumes all characters with unknown widths are 0 width.